<?php  
class ControllerModuleConseil extends Controller {
	protected function index() {
		$this->language->load('module/conseil');
		
    	$this->data['heading_title'] = $this->language->get('heading_title');
    	
		$this->data['text_contact'] = $this->language->get('text_contact');
    	$this->data['text_sitemap'] = $this->language->get('text_sitemap');
		
		$this->load->model('catalog/conseil');
		
		$this->data['conseils'] = array();

		foreach ($this->model_catalog_conseil->getConseils() as $result) {
      		$this->data['conseils'][] = array(
        		'title' => $result['title'],
	    		'href'  => $this->url->link('information/conseil', 'conseil_id=' . $result['conseil_id'])
      		);
    	}

		$this->data['contact'] = $this->url->link('conseil/contact');
    	$this->data['sitemap'] = $this->url->link('conseil/sitemap');
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/conseil.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/conseil.tpl';
		} else {
			$this->template = 'default/template/module/conseil.tpl';
		}
		
		$this->render();
	}
}
?>